Skip to main content

Capture of the order

caution

We only accept requests for a catch for the product paid in 15 days and the order must be confirmed.

A capture must be made when the product or products are sent with the import of the total price of the sale. The amount of the capture must be the total amount of the order less total amount of the canceled items.

{
"amount": 10050,
"id": "cf04aa87a6364f14b164e48a84e99936",
"created": "2019-06-21T16:51:19.494155+02:00",
"refunds": [],
"refunded_amount": 0,
"remaining_amount": 0
}
ParameterTypeRequiredDescription
amountdecimalYesCapture amount.
idstringYesYour capture id.
createdstringYesDate of the capture.
refundsobjectNoRefunds on capture done.
refunded_amountdecimalYesRefunded capture amount.
remaining_amountdecimalYesRemaining capture amount (It will always be 0).

01 - Capture detail

GET /orders/:orderId/captures HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
orderIdstringYesOrder ID.

Response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Aplazame-Media-Type: aplazame.v1
{
"remaining_capture_amount": 60020,
"results": [
{
"amount": 10050,
"id": "cf04aa87a6364f14b164e48a84e99936",
"created": "2019-06-21T16:51:19.494155+02:00",
"refunds": [],
"refunded_amount": 0,
"remaining_amount": 10050
}
]
}
ParameterTypeRequiredDescription
remaining_capture_amountdecimalRemaining order amount without capture (It will always be 0).
resultsobjectCaptures of order.

02 - Request capture

POST /orders/:orderId/captures HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
{
"amount": 10050
}
ParameterTypeRequiredDescription
orderIdstringYesOrder ID.
amountdecimalYesAmount to capture.

Response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
X-Aplazame-Media-Type: aplazame.v1
{
"remaining_capture_amount": 49970,
"amount": 10050,
"id": "cf04aa87a6364f14b164e48a84e99936",
"created": "2019-06-21T16:51:19.494155+02:00",
"refunds": [],
"refunded_amount": 0,
"remaining_amount": 10050
}
ParameterTypeRequiredDescription
remaining_capture_amountdecimalRemaining order amount without capture (It will always be 0).
amountdecimalCapture amount.
idstringYour capture id.
createdstringDate of the capture.
refundsobjectRefunds on capture done.
refunded_amountdecimalRefunded capture amount.
remaining_amountdecimalRemaining capture amount (It will always be 0).